02/20/2013 05:19 PM - C. Emmerich

Status: Resolved Start date: 02/20/2013
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

The rotateby-method of the class Orientation is erroneous, because the order of the rotation members is permuted. The current
implementation

OrientationPtr Orientation::rotateBy(const OrientationPtr& rot) const {
    return Orientation::fromQuaternion(this->_quaternion * rot->asQuaternion());
}

should be changed to 

OrientationPtr Orientation::rotateBy(const OrientationPtr& rot) const {
    return Orientation::fromQuaternion(rot->asQuaternion() * this->_quaternion);
}

Associated revisions
Revision 665 - 02/20/2013 05:34 PM - C. Emmerich

corrected implementation of rotate method in trunk(refs #1434)

Revision 667 - 02/21/2013 01:51 PM - C. Emmerich

fixed rotateby-method also in 0.3 (fixes #1434)

History
#1 - 02/20/2013 05:36 PM - C. Emmerich
- Status changed from New to Feedback
- Assignee changed from C. Emmerich to Anonymous
- % Done changed from 0 to 50

applied in trunk.

@Arne: should I also apply it in 0.3?

#2 - 02/21/2013 10:07 AM - Anonymous
Yes, please also backport to 0.3.

#3 - 02/21/2013 01:51 PM - C. Emmerich
- Status changed from Feedback to Resolved
- % Done changed from 50 to 100

Applied in changeset r667.
